ONVIF::PTZ::Types::ShapeDescriptor(3)

NAME
ONVIF::PTZ::Types::ShapeDescriptor

DESCRIPTION
Perl data type class for the XML Schema defined complexType ShapeDescriptor from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   BoundingBox

•   CenterOfGravity

•   Polygon

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ShapeDescriptor
   BoundingBox => ,
   CenterOfGravity => ,
   Polygon =>  { # ONVIF::PTZ::Types::Polygon
     Point => ,
   },
   Extension =>  { # ONVIF::PTZ::Types::ShapeDescriptorExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL